import { changeStylesForRelines, setModalContent } from '../features/index.js';

/**
 * @param {string} currentStep
 */

export const commonFrame = (currentStep) => {
  changeStylesForRelines(false);

  const $header = document.getElementById('mainHeader');
  const $frame = document.getElementById('sectionTd');

  $header.classList.add('highlightedTrainingElement');
  $frame.classList.add('highlightedTrainingElement', 'highlightedTrainingElementPosition');

  setModalContent({
    keyTitle: 'newCombats.trainingModal.step1.title',
    keyContent: 'newCombats.trainingModal.step1.text',
    currentStep,
  });
};
