import { removeStylesOfHighlightedElements, setModalContent } from '../features/index.js';

/**
 * @param {string} currentStep
 */

export const slotsForThings = (currentStep) => {
  removeStylesOfHighlightedElements();

  const $blockName = document.getElementById('main');
  const $stats = document.getElementsByClassName('personag')[0];

  $blockName.classList.add('highlightedTrainingElementPosition', 'highlightedTrainingElementZIndex');

  setModalContent({
    keyTitle: 'newCombats.trainingModal.step4.title',
    keyContent: 'newCombats.trainingModal.step4.text',
    currentStep,
  });
};
