<?php

namespace DTO;

readonly class BattlePriem
{


    /**
     * @param int      $act    1 - когда персонаж получает повреждение
     *                         2 - когда персонаж наносит удар
     *
     * @param int      $typeOf 1 - уворот
     *                         2 - крит
     *                         3 - атака
     *                         4 - защита
     *                         5 - прочее
     * @param int|null $typeSec
     * @param int|null $moment
     * @param int|null $momentEnd
     */
    public function __construct(
        public int  $act,
        public int  $typeOf,
        public ?int $typeSec = null,
        public ?int $moment = null,
        public ?int $momentEnd = null,
    ) {}
}