<?php

namespace DarksLight2\Training\Steps;

use DarksLight2\Training\StepFactory;

class MyUserSecondStep extends StepFactory
{

    public function getTitle(): string
    {
        return 'Персонаж.';
    }

    public function getMessage(): string
    {
        return 'Опыт - Получение опыта происходит после сыгранных поединков, в зависимости от выбитого урона с противников, нажав по своему опыту, откроется таблица опыта, в которой можно посмотреть, когда вы получите дополнительное очко распределение параметров персонажа/оружий, награду за взятие " апа " или " Уровня "<br>
                Текущий уровень - Отображает ваш текущий уровень персонажа.<br>
                Победы - Отображает сумму всех ваших побед, в любых поединках.<br>
                Поражения - Отображает сумму всех ваших поражений, в любых поединках.<br>
                Ничьих - Отображает сумму всех поединков, которые завершились в ничью.<br>
                Кредиты - Обычная игровая валюта - кредиты ( креды ), которые можно потратить в обычном магазине.<br>
                Еврокредиты - Покупная игровая валюта - еврокредиты ( екры ) , которые можно потратить в магазине " Берёзка ". <br>
                Воинственность - Дополнительная игровая валюта, потратить её можно в Подпольной Лавке.<br>
                Ежедневное задание - Отображает текущее ежедневное задание либо предоставляет возможность его взятия.<br>
                Бонус - Позволяет получить немного кредитов или еврокредитов.';
    }

    public function getShortName(): string
    {
        return 'my_user_second_step';
    }

    public function getRewards(): array
    {
        return [];
    }

}