<?php

namespace User;

use Core\Config;

readonly final class Login
{
    public string $fullLogin;
    public function __construct(
        int|string|null $align,
        int|string|null $clanName,
        int $level,
        string $login
    ) {
        $imgBase = Config::img() . DIRECTORY_SEPARATOR . 'i';
        $alignStr = empty($align) ? '' : "<img src='$imgBase/align/align$align.gif' alt=''>";
        $clanStr = empty($clanName) ? '' : "<img src='$imgBase/clan/$clanName.gif' alt='$clanName'>";
        $spacedLogin = str_replace(' ', '%20', $login);
        $loginLink = "<a href='/inf.php?login=$spacedLogin' target='_blank'><img src='$imgBase/inf.gif' title='Инф. о $login' alt='Инф. о $login'></a>";
        $this->fullLogin = "$alignStr$clanStr<strong>$login</strong> [$level]$loginLink";
    }
}
