import { removeStylesOfHighlightedElements, setModalContent } from '../features/index.js';

/**
 * @param {string} currentStep
 */

export const onlineList = (currentStep) => {
  removeStylesOfHighlightedElements();

  const $online = document.getElementById('online');

  $online.classList.add('highlightedTrainingElement', 'highlightedTrainingElementPosition');

  setModalContent({
    keyTitle: 'newCombats.trainingModal.step3.title',
    keyContent: 'newCombats.trainingModal.step3.text',
    currentStep,
  });
};
